def clean_data(df):
    """Perform data cleaning operations"""
    print("\n🧹 Cleaning Data...")

    # Handle missing values
    initial_missing = df.isnull().sum().sum()
    df = df.dropna()
    final_missing = df.isnull().sum().sum()
    print(f"Removed {initial_missing - final_missing} missing values")

    # Remove duplicates
    initial_rows = df.shape[0]
    df = df.drop_duplicates()
    final_rows = df.shape[0]
    print(f"Removed {initial_rows - final_rows} duplicate rows")

    return df