import matplotlib.pyplot as plt
import seaborn as sns


def visualize_data(df):
    """Generate basic visualizations"""
    print("\n📊 Creating Visualizations...")

    # Numeric columns histograms
    numeric_cols = df.select_dtypes(include=['number']).columns
    for col in numeric_cols:
        plt.figure(figsize=(8, 4))
        sns.histplot(df[col])
        plt.title(f'Distribution of {col}')
        plt.savefig(f'{col}_distribution.png')
        plt.close()
        print(f"Saved {col}_distribution.png")

    # Correlation matrix heatmap
    if len(numeric_cols) > 1:
        plt.figure(figsize=(10, 6))
        sns.heatmap(df[numeric_cols].corr(), annot=True)
        plt.title('Correlation Matrix')
        plt.savefig('correlation_matrix.png')
        plt.close()
        print("Saved correlation_matrix.png")