def generate_report(df, report_path='analysis_report.txt'):
    """Generate final analysis report"""
    print("\n📄 Generating Report...")

    report = []
    report.append("Data Analysis Report\n")
    report.append(f"Total Rows: {df.shape[0]}")
    report.append(f"Total Columns: {df.shape[1]}\n")
    report.append("Column Summary:")
    report.append(df.dtypes.to_string())
    report.append("\nMissing Values After Cleaning:")
    report.append(df.isnull().sum().to_string())

    with open(report_path, 'w') as f:
        f.write("\n".join(report))

    print(f"✅ Report saved as {report_path}")